import { UploadFile } from "@/api";

export const customUploadRequest = async (options: any) => {
  try {
    const formData = new FormData();
    formData.append("file", options.file);
    const res =await UploadFile(formData);
    options.onSuccess(res.result?.[0]);
  } catch (error) {
    options.onError(new Error("上传失败"));
  }
};